Bug 1019214 - [RFE] Connect foreman bootiso when creating a new VM and boot from it.
Summary: [RFE] Connect foreman bootiso when creating a new VM and boot from it.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Bootdisk Plugin
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: Sachin Ghai
URL: http://projects.theforeman.org/issues...
Whiteboard:
: 1286702 (view as bug list)
Depends On:
Blocks: 260381
TreeView+ depends on / blocked
 
Reported: 2013-10-15 10:03 UTC by pgustafs
Modified: 2021-03-11 14:12 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:28:04 UTC
Target Upstream Version:


Attachments (Terms of Use)
console logs while booting vm through bootdisk (323.54 KB, image/png)
2017-11-22 08:34 UTC, Sachin Ghai
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 3287 0 Normal Closed Connect boot ISO when creating a new VM and boot from it 2020-12-16 07:50:07 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Comment 1 RHEL Program Management 2013-10-15 10:07:53 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 2 Dominic Cleal 2013-10-15 10:09:05 UTC
"User wants to be able to connect foreman bootiso when creating a new VM and boot from it as an alternative to PXE boot (they using vmware as virtualization platform.)

There is networks where PXE boot not is possible due to various reasons a good alternative to PXE boot would be to having foreman connect an foreman bootiso to the VM when it's created and boot from it instead."

Comment 4 Dominic Cleal 2013-10-15 11:52:15 UTC
Peter, what configuration method do you think is needed here?  I can think of the following, where a mixture might be best:

1. global setting to always use bootdisk for VMs that would otherwise PXE boot
2. per-compute resource setting
3. per-subnet setting
4. always use it if there's no DHCP and TFTP proxy on the subnet

Comment 5 pgustafs 2013-10-15 12:20:55 UTC
(In reply to Dominic Cleal from comment #4)
> Peter, what configuration method do you think is needed here?  I can think
> of the following, where a mixture might be best:
> 
> 1. global setting to always use bootdisk for VMs that would otherwise PXE
> boot
> 2. per-compute resource setting
> 3. per-subnet setting
> 4. always use it if there's no DHCP and TFTP proxy on the subnet

Dominic, I think a mixture would be good:

1. global setting to always use bootdisk for VMs that would otherwise PXE boot
2. per-subnet setting
3. always use it if there's no DHCP and TFTP proxy on the subnet
4. Per-host setting, e.g. an checkbox when creating the host

Comment 7 Corey Welton 2014-05-08 00:40:09 UTC
Moving to 6.0.4 for QE purposes.

Comment 8 Bryan Kearney 2015-08-25 17:22:43 UTC
Upstream bug component is Bootdisk Plugin

Comment 9 Bryan Kearney 2016-03-23 13:32:37 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/3287 has been closed
-------------
Anonymous
Applied in changeset commit:foreman_bootdisk|de59b7bba2ff16953fa6eaffef205000ec60aced.

Comment 15 Ondřej Pražák 2016-11-04 11:48:37 UTC
*** Bug 1286702 has been marked as a duplicate of this bug. ***

Comment 16 Sachin Ghai 2017-11-22 08:30:29 UTC
Verified with sat6.3 GA snap25.

User can see new Provisioning method on UI under operating system tab while creating new host "Bootdisk based".

QE tested this feature on vmware compute-resource(Version 6.5.0.10000 Build 6671409). 

Please make sure that the user through which you'r trying to create host on vmware should have following permissions on "datastore" to upload bootdisk ISO, otherwise provisioning may fail at upload_iso step.

Datastore > Browse Datastore and Datastore > Low level file operations


Verification steps for Vmware:

1. Define a static subnet where no dhcp and tftp services are available
2. create host and select vmware compute-resource
3. Select Bootdisk based provisioning method
4. please select Nic type "vmxnet3 or e1000" from interfaces tab. QE tested both and both are working fine.
5. Make sure to select the checkbox "Add a CD-ROM drive to the virtual machine." from virtual machine tab.
6. when you submit the form, host will be created in vmware and will boot through auto attached ISO. Its a per-host bootdisk iso.

Comment 18 Sachin Ghai 2017-11-22 08:34:19 UTC
Created attachment 1357293 [details]
console logs while booting vm through bootdisk

Comment 19 Sachin Ghai 2017-11-22 08:40:39 UTC
@lzap: my understanding is that this feature only works with vmware and intend of this RFE is to cover only vmware CR ? I can see the changes in upstream PR are around vmware only. However, would like to get confirmation here please.

Comment 20 Lukas Zapletal 2017-11-23 14:38:28 UTC
Yes that is correct.

Comment 21 Sachin Ghai 2017-12-05 11:15:17 UTC
Based on comments 16-20 moving this to verified.

Comment 24 errata-xmlrpc 2018-02-21 12:28:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 25 Dhaval 2018-04-30 07:19:31 UTC
Which port is used to autoattach image from satellite to vCenter .. is it port 443 form capsule or master ?

Comment 26 Lukas Zapletal 2018-05-02 07:25:40 UTC
Hello, all VMWare requests go from Sat Server. This is the same for all compute resources unfortunately, we are tracking an RFE.

Comment 27 Dhaval 2018-05-02 07:30:51 UTC
Thanks @lzap, so Port 443 I have to open from my Satellite Master -> vCenter.

Thanks,


Note You need to log in before you can comment on or make changes to this bug.